Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.kernel
Class PreparedProjectionResultObjectProvider

    java.lang.Object
      org.apache.openjpa.jdbc.kernel.SelectResultObjectProvider
          org.apache.openjpa.jdbc.kernel.ProjectionResultObjectProvider
              org.apache.openjpa.jdbc.kernel.PreparedProjectionResultObjectProvider

All Implemented Interfaces:
  ResultObjectProvider, Closeable

     class PreparedProjectionResultObjectProvider

extends ProjectionResultObjectProvider

Object provider implementation wrapped around a projection select that has been executed earlier.

Author:
  Pinaki Poddar

Field Summary

Fields inherited from class org.apache.openjpa.jdbc.kernel.SelectResultObjectProvider
`_res`

Constructor Summary
`PreparedProjectionResultObjectProvider(SelectExecutor sel, QueryExpressions[] exps, QueryExpressionsState[] state, ExpContext ctx, Result res)`
`PreparedProjectionResultObjectProvider(SelectExecutor sel, QueryExpressions exps, QueryExpressionsState state, ExpContext ctx, Result res)`

Method Summary
`Result` | `getResult()`
`void` | `open()` Open the result.

Methods inherited from class org.apache.openjpa.jdbc.kernel.ProjectionResultObjectProvider
`getResultObject`

Methods inherited from class org.apache.openjpa.jdbc.kernel.SelectResultObjectProvider
`absolute, close, getFetchConfiguration, getSelect, getStore, handleCheckedException, next, reset, setSize, size, supportsRandomAccess`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreparedProjectionResultObjectProvider

    public PreparedProjectionResultObjectProvider(SelectExecutor sel,
                                                  QueryExpressions exps,
                                                  QueryExpressionsState state,
                                                  ExpContext ctx,
                                                  Result res)

### PreparedProjectionResultObjectProvider

    public PreparedProjectionResultObjectProvider(SelectExecutor sel,
                                                  QueryExpressions[] exps,
                                                  QueryExpressionsState[] state,
                                                  ExpContext ctx,
                                                  Result res)

Method Detail

### getResult

    public Result getResult()

  Overrides:
    `getResult` in class `SelectResultObjectProvider`

### open

    public void open()
              throws SQLException

  Description copied from interface: `ResultObjectProvider`
  Open the result. This will be called before `ResultObjectProvider.next()`, `ResultObjectProvider.absolute(int)`, or `ResultObjectProvider.size()`.

  Specified by:
    `open` in interface `ResultObjectProvider`
  Overrides:
    `open` in class `SelectResultObjectProvider`
  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.